Subject: [URN] escape / ?

From: Terry Allen <[email-masked]>
Date: Sun, 10 Jan 1999 08:56:55 -0800

Back when there was a URN syntax draft I thought I understood
what characters had to be escaped in a URN.  Now, I find RFC
2396 less clear - maybe it's just me.

Am I right in thinking that the slash can be used as a delimiter
in a URN scheme, and that if so it need not be escaped?

regards, Terry

Terry Allen				Veo Systems, Inc.
Business Language Designer              2440 W. El Camino Real
tallen[at]sonic.net                     Mountain View, Calif., 94040
Common Business Library - available at  http://www.veosystems.com/

---

From: Leslie Daigle <[email-masked]>
Date: Mon, 11 Jan 1999 12:51:27 -0500 (EST)

Howdy,

> in a URN scheme, and that if so it need not be escaped?

According to the URI syntax, any non-escaped "/" is interpreted per
the hierarchy-interpretation rules laid out in RFC2396.  Since this
group has never come to closure on the issues of a single hierarchical
representation, or the viability/validity of that style of "fragmentable
local reference" in URNs, the URN syntax _RFC_ (2141) says that unescaped "/"
are reserved for future use.  I.e., currently you have to escape 'em to use 'em.

Leslie.

----------------------------------------------------------------------------

    We have moved!!                               Leslie Daigle

      Note the new phone number.                  Bunyip Information Systems
                                                  (514) 285-0088 
                                                  [email-masked]
----------------------------------------------------------------------------

Date: Mon, 11 Jan 1999 12:51:27 -0500 (EST)
From: Leslie Daigle <[email-masked]>
To: Terry Allen <[email-masked]>
cc: [email-masked]
Subject: Re: [URN] escape / ?
Sender: [email-masked]
Reply-To: Leslie Daigle <[email-masked]>

Howdy,

> in a URN scheme, and that if so it need not be escaped?

According to the URI syntax, any non-escaped "/" is interpreted per
the hierarchy-interpretation rules laid out in RFC2396.  Since this
group has never come to closure on the issues of a single hierarchical
representation, or the viability/validity of that style of "fragmentable
local reference" in URNs, the URN syntax _RFC_ (2141) says that unescaped "/"
are reserved for future use.  I.e., currently you have to escape 'em to use 'em.

Leslie.

----------------------------------------------------------------------------

    We have moved!!                               Leslie Daigle

      Note the new phone number.                  Bunyip Information Systems
                                                  (514) 285-0088 
                                                  [email-masked]
----------------------------------------------------------------------------

Date: Sun, 10 Jan 1999 08:56:55 -0800
From: Terry Allen <[email-masked]>
To: [email-masked]
Subject: [URN] escape / ?
Sender: [email-masked]
Reply-To: Terry Allen <[email-masked]>

regards, Terry

From: Michael Mealling <[email-masked]>
Subject: [URN] Some java code for you to play with....
To: [email-masked]
Date: Fri, 8 Jan 1999 15:09:19 -0500 (EST)
Sender: [email-masked]
Reply-To: Michael Mealling <[email-masked]>

Software Availability Announcement!

NSI has some code for you to play with. This is in addition to our
IE plugin. A few Java folx within the company took it upon themselves
to write some Java code for URI resolution. Its now available in its
alpha form. Over time we will polish it up and integrate it into the
general toolkit. You can find all of it at:

ftp://research.netsol.com/pub/urn/java/uri-0.1.tar.Z

This stuff is a work in progress so your mileage may vary...

-MM

-- 
--------------------------------------------------------------------------------
Michael Mealling	|      Vote Libertarian!       | www.rwhois.net/michael
Sr. Research Engineer   |   www.ga.lp.org/gwinnett     | ICQ#:         14198821
Network Solutions	|          www.lp.org          |  [email-masked]